<div id="payment-method">
  <v-card class="ui-card pb-4">
    <v-skeleton-loader class="mx-auto mt-10" width="100%" type="card" v-if="loadingTable">
    </v-skeleton-loader>
    <v-simple-table class="scrollTable c-pointer" fixed-header v-else>
      <template v-slot:default>
        <thead>
          <tr>
            <th class="table-head text-left">
              <div style="width: 400px">
                <p class="mb-0 captionOverline colorGreyHeaderTable">
                  Payment Name
                </p>
              </div>
            </th>
            <!-- <th class="table-head text-left">
              <div>
                <p class="mb-0 captionOverline colorGreyHeaderTable">
                  Amount
                </p>
              </div>
            </th> -->
            <th class="table-head text-left">
              <div>
                <p class="mb-0 captionOverline colorGreyHeaderTable">
                  Policy
                </p>
              </div>
            </th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="(payment,i) in listPayment" :key="payment._id"
            @click="$router.push(`/admin/settings/payment-method/detail/${payment.paymentId._id}`)">
            <td>
              <div class="flex items-center">
                <div class="d-flex align-center" v-if="payment.type === 'paypal'">
                  <img src="~/assets/images/paypal.png" alt="" width="36" height="36">
                </div>
                <div class="d-flex align-center" v-if="payment.type === 'stripe'">
                  <img src="~/assets/images/stripe-payment.png" alt="" width="36" height="36">
                </div>
                <p class="mb-0 ml-2 text-sm font-semibold text-neutral-900">
                  {{payment.paymentId.name}}
                </p>
              </div>
            </td>
            <!-- <td class="py-3" @click="$router.push(`/admin/settings/payment-method/detail/${payment._id}`)">
              <p class="mb-0 text-sm text-neutral-900">
                ${{payment.amount && $utils.formatCurrencyFloat(payment.amount)}}
              </p>
            </td> -->
            <td class="py-3">
              <div class="flex items-center justify-start">
                <p class="mb-0">
                  {{calcLengthPolicy(payment)}}/9
                </p>
                <div class="ml-2">
                  <v-icon color="#22C55E" v-if="calcLengthPolicy(payment) === 9">
                    mdi-check-circle
                  </v-icon>
                  <v-icon color="#F59E0B" v-if="calcLengthPolicy(payment) > 0 && calcLengthPolicy(payment) < 9">
                    mdi-close-circle
                  </v-icon>
                  <v-icon color="#EF4444" v-if="calcLengthPolicy(payment) === 0">
                    mdi-close-circle
                  </v-icon>
                </div>
              </div>
            </td>
          </tr>
        </tbody>
      </template>
    </v-simple-table>
    <div class="d-flex justify-center ma-4" v-if="listPayment.length == 0 && !loadingTable">
      <div>
        <div class="d-flex align-center justify-center">
          <img src="~/assets/images/payment/no-payment.png" alt="" width="136" height="136">
        </div>
        <p class="mb-0 mt-4 text-center text-sm text-gray-500 font-semibold">
          No Payment
        </p>
      </div>
    </div>
    <div class="text-center mt-4 pb-2 d-sm-flex align-center justify-center" v-if="listPayment.length && !loadingTable">
      <v-pagination v-model="config.page" :length="totalPage" :total-visible="5" class="pagination">
      </v-pagination>
      <div id="hideBottomInput" class="input-gotopage pos-relative px-3 px-sm-0 mt-3 mt-sm-0">
        <v-text-field dense outlined v-model.number="page" placeholder="Go to page">
        </v-text-field>
        <div class="button-inside-input">
          <v-btn height="36px" color="#076CE3" class="px-0 button-inside-input__button elevation-0"
            @click="onRedirectPage()">
            <v-icon color="#ffffff">
              mdi-chevron-right
            </v-icon>
          </v-btn>
        </div>
      </div>
    </div>
  </v-card>
</div>